Package oracle.kv

# Class KVLocalConfig.UnixDomainBuilder

java.lang.Object
oracle.kv.KVLocalConfig.Builder
oracle.kv.KVLocalConfig.UnixDomainBuilder

Enclosing class:
  KVLocalConfig

public static class KVLocalConfig.UnixDomainBuilder extends KVLocalConfig.Builder
Builder class to help construct a `KVLocalConfig` instance using Unix domain sockets. Configurations for Unix domain sockets always use the default port number of 5000, do not use security because their security is based on the file system protections for the socket file, and use a fixed host name associated with the Unix domain socket file. Note that the associated methods for setting these values, `setPort`, `setHostName`, and `isSecure`, all throw `UnsupportedOperationException` if called.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnixDomainBuilder(String rootDir)`
  Creates a builder that using the specified root directory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KVLocalConfig`
  `build()`
  Builds a `KVLocalConfig` instance using the values specified in this builder.
  `KVLocalConfig.Builder`
  `isSecure(boolean secure)`
  Specifies whether the store is secure.
  `KVLocalConfig.Builder`
  `setHostName(String name)`
  Sets the host name.
  `KVLocalConfig.Builder`
  `setPort(int portNum)`
  Sets port number.

  ### Methods inherited from class oracle.kv.KVLocalConfig.Builder

  `setMemoryMB, setStorageGB, setStoreName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnixDomainBuilder

    public UnixDomainBuilder(String rootDir)
    Creates a builder that using the specified root directory
    Parameters:
      `rootDir` - the root directory where NoSQL Database data is placed
    Throws:
      `IllegalArgumentException` - if specified rootDir is null or empty

- ## Method Details

  - ### setHostName

    public KVLocalConfig.Builder setHostName(String name)
    Sets the host name. This implementation always throws `UnsupportedOperationException`.
    Specified by:
      `setHostName` in class `KVLocalConfig.Builder`
    Parameters:
      `name` - the name of the host
    Returns:
      this instance

  - ### setPort

    public KVLocalConfig.Builder setPort(int portNum)
    Sets port number. This implementation always throws `UnsupportedOperationException`.
    Specified by:
      `setPort` in class `KVLocalConfig.Builder`
    Parameters:
      `portNum` - the port number for registry
    Returns:
      this instance

  - ### isSecure

    public KVLocalConfig.Builder isSecure(boolean secure)
    Specifies whether the store is secure. This implementation always throws `UnsupportedOperationException`.
    Specified by:
      `isSecure` in class `KVLocalConfig.Builder`
    Parameters:
      `secure` - whether the store is secure
    Returns:
      this instance

  - ### build

    public KVLocalConfig build()
    Description copied from class: `KVLocalConfig.Builder`
    Builds a `KVLocalConfig` instance using the values specified in this builder.
    Specified by:
      `build` in class `KVLocalConfig.Builder`
    Returns:
      a `KVLocalConfig` instance for this builder